// DisplayRect.cpp : implementation file
//

#include "stdafx.h"
#include "player.h"
#include "DisplayRect.h"
#include"proplaympeg4.h"

extern UINT PORT;

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDisplayRect dialog


CDisplayRect::CDisplayRect(CWnd* pParent /*=NULL*/)
	: CDialog(CDisplayRect::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDisplayRect)
	m_nBottom = 100;
	m_nLeft = 0;
	m_nRight = 200;
	m_nTop = 0;
	//}}AFX_DATA_INIT
	m_pParent=pParent;

	m_rcRect.left=m_nLeft;
	m_rcRect.bottom=m_nBottom;
	m_rcRect.right=m_nRight;
	m_rcRect.top=m_nTop;
}


void CDisplayRect::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDisplayRect)
	DDX_Text(pDX, IDC_DISBOTTOM, m_nBottom);
	DDX_Text(pDX, IDC_DISLEFT, m_nLeft);
	DDX_Text(pDX, IDC_DISRIGHT, m_nRight);
	DDX_Text(pDX, IDC_DISTOP, m_nTop);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDisplayRect, CDialog)
	//{{AFX_MSG_MAP(CDisplayRect)
	ON_BN_CLICKED(IDC_DISPLAY, OnDisplay)
	//}}AFX_MSG_MAP
	ON_MESSAGE(WM_DISPLAY_RECT, DisplayRect)
	
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDisplayRect message handlers

void CDisplayRect::OnOK() 
{
	// TODO: Add extra validation here
	PlayM4_SetDisplayRegion(PORT,1,&m_rcRect,GetDlgItem(IDC_DISPLAY)->m_hWnd,FALSE);
	if(m_pParent)
		m_pParent->PostMessage(WM_DISPLAY_OK,0,0);
	else
		CDialog::OnOK();
	
}

void CDisplayRect::OnDisplay() 
{
	// TODO: Add your control notification handler code here
	RECT rc;
	GetDlgItem(IDC_DISWND)->GetClientRect(&rc);

	UpdateData(TRUE);
	m_rcRect.left=m_nLeft;
	m_rcRect.bottom=m_nBottom;
	m_rcRect.right=m_nRight;
	m_rcRect.top=m_nTop;
	PlayM4_SetDisplayRegion(PORT,1,&m_rcRect,GetDlgItem(IDC_DISWND)->m_hWnd,TRUE);
}
void CDisplayRect::DisplayRect(WPARAM wParam, LPARAM lParam)
{
	CRect * rcRect=(CRect*)lParam;
	m_nLeft=rcRect->left;
	m_nRight= rcRect->right;
	m_nTop= rcRect->top;
	m_nBottom =rcRect->bottom;
	UpdateData(FALSE);
}