#!/bin/bash
#setup.sh: This shell is install script for DVR card
# 

echo "DVR capture card Driver Installaion"
echo "Version 1.0.0"
echo "All rights reserved."

if [ `whoami` != root ] ;
	then 
		echo "you should be root to install the device driver!"
		exit 1
fi

RVER=`uname -r`
echo "Current kernel is version $RVER"
rm -f .kver
touch .kver
echo $RVER>.kver

#Install system init
if [ -d /etc/rc.d/init.d ] ; then
	#remove old script
	rm -f /etc/rc.d/init.d/dvrcard
	#remove old link
	rm -f /etc/rc.d/rc?.d/[SK]??rc.dvrcard 
	if [ ! -f /etc/rc.d/init.d/dvrcard ] ; then
		cp rc.dvrcard /etc/rc.d/init.d/dvrcard
		ln -sf ../init.d/dvrcard /etc/rc.d/rc0.d/K20dvrcard
		ln -sf ../init.d/dvrcard /etc/rc.d/rc6.d/K20dvrcard
		ln -sf ../init.d/dvrcard /etc/rc.d/rc1.d/S85dvrcard
		ln -sf ../init.d/dvrcard /etc/rc.d/rc2.d/S85dvrcard
		ln -sf ../init.d/dvrcard /etc/rc.d/rc3.d/S85dvrcard
		ln -sf ../init.d/dvrcard /etc/rc.d/rc5.d/S85dvrcard
	fi
elif [ -d /etc/init.d ] ; then
	#This is a Debin system

	#remove old script
	rm -f /etc/init.d/dvrcard
	#remove old link
	rm -f /etc/rc?.d/[SK]??rc.dvrcard 
	if [ ! -f /etc/init.d/dvrcard ] ; then
		cp rc.dvrcard /etc/init.d/dvrcard
		ln -sf ../init.d/dvrcard /etc/rc0.d/K20dvrcard
		ln -sf ../init.d/dvrcard /etc/rc6.d/K20dvrcard
		ln -sf ../init.d/dvrcard /etc/rc1.d/S85dvrcard
		ln -sf ../init.d/dvrcard /etc/rc2.d/S85dvrcard
		ln -sf ../init.d/dvrcard /etc/rc3.d/S85dvrcard
		ln -sf ../init.d/dvrcard /etc/rc5.d/S85dvrcard
	fi
fi

#`/etc/rc.d/init.d/dvrcard start`
echo "DVR card Driver Installation Complete."
echo "Please reboot !!!"

