#include "prosdk.h"


enum{UDPMODE=0,TCPMODE,MULTIMODE,DIALING,AUDIODETACH};

enum{NORMALMODE=0,OVERLAYMODE};

enum{SINGLEAUDIO=1,MULTIAUDIO};

#define SUPPORT_DDRAW		1 
#define SUPPORT_BLT         2 
#define SUPPORT_BLTFOURCC   4 
#define SUPPORT_BLTSHRINKX  8 
#define SUPPORT_BLTSHRINKY  16
#define SUPPORT_BLTSTRETCHX 32
#define SUPPORT_BLTSTRETCHY 64
#define SUPPORT_CPU         128 


#define T_UYVY		1
#define T_YV12		3
#define T_RGB32		7




typedef struct{
	BYTE    m_bRemoteChannel;
	BYTE    m_bSendMode;
	BYTE    m_nImgFormat;  // =0 main channel ; = 1 sub channel
	char    *m_sIPAddress;
	char    *m_sUserName;
	char    *m_sUserPassword;
	BOOL    m_bUserCheck;
	HWND    m_hShowVideo;
}CLIENT_VIDEOINFO, *PCLIENT_VIDEOINFO;



typedef enum {
    vfGeneric                = (int) 0xffffffff,
    vfNone                   = (int) 0x80000000,
    vfRGB8A_233              = 0x00000001,
    vfRGB8R_332              = 0x00000002,
    vfRGB15Alpha             = 0x00000004,
    vfRGB16                  = 0x00000008,
    vfRGB24                  = 0x00000010,
    vfRGB24Alpha             = 0x00000020,
   
    vfYUV420Planar           = 0x00000040,
    vfYUV422Planar           = 0x00000080,
    vfYUV411Planar           = 0x00000100,
    vfYUV420Interspersed     = 0x00000200,
    vfYUV422Interspersed     = 0x00000400,
    vfYUV411Interspersed     = 0x00000800,
    vfYUV422Sequence         = 0x00001000,   /* U0, Y0, V0, Y1:  For VO overlay */
    vfYUV422SequenceAlpha    = 0x00002000,   
   /* U0, Y0, V0, Y1:  For VO overlay, with low bit for alpha blending */
    vfMono                   = 0x00004000,  /* 8 bit monochrome */

    vfYUV444Planar           = 0x00008000,

    vfDTVCMPlanar            = 0x00010000,
    vfDTVCMSequence          = 0x00020000,

    vfYInterleavedUV420      = 0x00040000,  /* YUV420 output by TM2 mpeg2 */

    vfYUV422PlanarAlpha4     = 0x00080000

}VideoRGBYUVFormat;                     /* can be OR'ed */

/*
typedef struct{
	long bToScreen;
	long bToVideoOut;
	long nLeft;
	long nTop;
	long nWidth;
	long nHeight;
	VideoRGBYUVFormat format;
}DISPLAY_PARA,*PDISPLAY_PARA;
*/

typedef struct{
	BYTE    m_bRemoteChannel;
	BYTE    m_bSendMode;
	BYTE    m_bRight;
	char    *m_sIPAddress;
	char    *m_sUserName;
	char    *m_sUserPassword;
	BOOL    m_bUserCheck;
	DISPLAY_PARA displaypara;
}CLIENT_CARDINFO, *PCLIENT_CARDINFO;


#define  CPLAYER_API extern"C" __declspec(dllimport)

#define RECDATAERR 0 
#define PLAYERR 1
#define REFUSED 2
#define VERSIONERR 3
#define PLAYERBUSY 4
#define GETSTRING 10


CPLAYER_API LONG  __stdcall MP4_ClientStart(PCLIENT_VIDEOINFO pClientinfo,void(CALLBACK *ReadDataCallBack)(DWORD nPort,UCHAR *pPacketBuffer,DWORD nPacketSize));
CPLAYER_API BOOL  __stdcall MP4_ClientStop(LONG StockHandle);
CPLAYER_API LONG  __stdcall MP4_ClientGetState(LONG StockHandle);
CPLAYER_API BOOL  __stdcall MP4_ClientStopCapture(LONG StockHandle);
CPLAYER_API BOOL  __stdcall MP4_ClientStartCapture(LONG StockHandle);
CPLAYER_API BOOL  __stdcall MP4_ClientStartCaptureFile(LONG StockHandle,LPTSTR FileName);
CPLAYER_API WORD  __stdcall MP4_ClientGetServerChanNum(LPCTSTR m_sIPAddress);
CPLAYER_API BOOL  __stdcall MP4_ClientCommandtoServer(LPCTSTR	m_lAddrIP,char *m_sCommand,WORD m_wLen);
CPLAYER_API BOOL  __stdcall MP4_ClientCommandtoServer_Handle(LONG StockHandle,char *m_sCommand,WORD m_wLen);
CPLAYER_API BOOL  __stdcall MP4_ClientStartup(UINT nMessage,HWND hWnd);
CPLAYER_API BOOL  __stdcall MP4_ClientCleanup();
CPLAYER_API BOOL  __stdcall MP4_ClientShut(LPCTSTR m_lAddrIP,char cChannel);
CPLAYER_API void  __stdcall MP4_ClientReadLastMessage(char *m_sIP,char *m_sCommand,WORD *m_wLen);
CPLAYER_API BOOL  __stdcall MP4_ClientAudioVolume(WORD wVolume);
CPLAYER_API BOOL  __stdcall MP4_ClientAudioStart(LONG StockHandle);
CPLAYER_API BOOL  __stdcall MP4_ClientAudioStop();
CPLAYER_API int   __stdcall MP4_ClientIsSupport();
CPLAYER_API BOOL  __stdcall MP4_ClientSetBufferNum(LONG StockHandle,WORD wBufNum);
CPLAYER_API BOOL  __stdcall MP4_ClientSetNetPort(WORD dServerPort,WORD dClientPort);
CPLAYER_API BOOL  __stdcall MP4_ClientSetTTL(unsigned char cTTLVal);
CPLAYER_API BOOL  __stdcall MP4_ClientSetPlayDelay(LONG StockHandle,WORD DelayLen);
CPLAYER_API BOOL  __stdcall MP4_ClientSetWait(DWORD dEachWaitTime,DWORD dTrynum);
CPLAYER_API BOOL  __stdcall MP4_ClientSetShowMode(DWORD dShowType,COLORREF colorKey);
CPLAYER_API BOOL  __stdcall MP4_ClientSetQuality(LONG StockHandle,WORD wPicQuality);
CPLAYER_API BOOL __stdcall  MP4_ClientSetCapPicCallBack(LONG StockHandle,void (CALLBACK* CapPicFun)(long StockHandle,char * pBuf,long nSize,long nWidth,long nHeight,long nStamp,long nType,long nReceaved));
CPLAYER_API BOOL __stdcall  MP4_ClientSavePicFile(char * pBuf,long nSize,long nWidth,long nHeight,long nType,char *sFileName);
CPLAYER_API BOOL  __stdcall MP4_ClientThrowBFrame(LONG StockHandle,DWORD dNum);
CPLAYER_API DWORD __stdcall MP4_ClientGetFrameNum(LONG StockHandle);
CPLAYER_API DWORD __stdcall MP4_ClientGetSdkVersion();

//new
CPLAYER_API BOOL  __stdcall MP4_ClientCastGroup(LONG StockHandle,char *sIP,WORD wPort);
CPLAYER_API BOOL  __stdcall MP4_ClientAudioMode(WORD wMode);
CPLAYER_API BOOL  __stdcall MP4_ClientAudioStartShare(LONG StockHandle);
CPLAYER_API BOOL  __stdcall MP4_ClientAudioStopShare(LONG StockHandle);
CPLAYER_API BOOL  __stdcall  MP4_ClientRigisterDrawFun(LONG StockHandle,void (CALLBACK* DrawFun)(LONG StockHandle,HDC hDc,LONG nUser),LONG nUser);




//decode card 
CPLAYER_API int __stdcall   MP4_ClientInitDevice_Card(long *pDeviceTotal);
CPLAYER_API int __stdcall   MP4_ClientInitDDraw_Card(HWND hParent,COLORREF colorKey);
CPLAYER_API int __stdcall   MP4_ClientReleaseDevice_Card();
CPLAYER_API int __stdcall   MP4_ClientReleaseDDraw_Card();
CPLAYER_API LONG __stdcall  MP4_ClientStart_Card(PCLIENT_CARDINFO pClientinfo,long nChannelNum,void(CALLBACK *ReadDataCallBack)(DWORD nPort,UCHAR *pPacketBuffer,DWORD nPacketSize));
CPLAYER_API int __stdcall   MP4_ClientResetPara_Card(LONG StockHandle,DISPLAY_PARA *pPara);
CPLAYER_API int __stdcall   MP4_ClientAudioStop_Card(LONG StockHandle);
CPLAYER_API int __stdcall   MP4_ClientAudioStart_Card(LONG StockHandle,BOOL bAudioPreview=TRUE);
CPLAYER_API int __stdcall   MP4_ClientAudioVolume_Card(LONG StockHandle,ULONG nVolume);
CPLAYER_API int __stdcall   MP4_ClientRefreshSurface_Card();
CPLAYER_API int __stdcall   MP4_ClientClearSurface_Card();
CPLAYER_API int __stdcall   MP4_ClientRestoreSurface_Card();
CPLAYER_API int __stdcall   MP4_ClientGetSerialNo_Card(long nChannelNum,ULONG *pDeviceSerialNo);
CPLAYER_API int __stdcall   MP4_ClientCapPicFile_Card(LONG StockHandle,char *sFileName);
CPLAYER_API int __stdcall   MP4_ClientSetDspErrMsg_Card(UINT nMessage,HWND hWnd);
CPLAYER_API int __stdcall   MP4_ClientResetDSP_Card(long nChannelNum);
CPLAYER_API int __stdcall   MP4_ClientGetDevice_Card(long nChannelNum,HANDLE *phChannel);

CPLAYER_API BOOL  __stdcall MP4_ClientSetDecryptCallback( BOOL( CALLBACK * DecryptFun )(int nFrameType,BYTE * pEncryptData,int nEncryptDataSize,BYTE ** ppDecryptData, int * pDecryptDataSize,int nReserved) );

CPLAYER_API BOOL  __stdcall MP4_ClientCleanBuffer(LONG nPort,int nCleanType);
CPLAYER_API BOOL  __stdcall  MP4_ClientSetMR(LPCTSTR strFirstMRIP,LPCTSTR strSecondMRIP,WORD wFirstMRPort);
CPLAYER_API BOOL  __stdcall  MP4_ClientSetDisplayType(LONG StockHandle,LONG nType);
CPLAYER_API BOOL  __stdcall  MP4_ClientSetVideoPara(LONG StockHandle,DWORD nRegionNum, int nBrightness, int nContrast, int nSaturation, int nHue);
CPLAYER_API BOOL  __stdcall  MP4_ClientGetVideoPara(LONG StockHandle,DWORD nRegionNum, int *pBrightness, int *pContrast, int *pSaturation, int *pHue);
CPLAYER_API LONG  __stdcall MP4_ClientStart_Other(PCLIENT_VIDEOINFO pClientinfo,void(CALLBACK *ReadDataCallBack)(DWORD StockHandle,UCHAR *pPacketBuffer,DWORD nPacketSize));
CPLAYER_API LONG  __stdcall MP4_ClientStart_Card_Other(PCLIENT_CARDINFO pClientinfo,long nChannelNum,void(CALLBACK *ReadDataCallBack)(DWORD StockHandle,UCHAR *pPacketBuffer,DWORD nPacketSize));




