#define  CPLAYER_API extern"C" __declspec(dllimport)


#define GETSTRING 0


typedef struct{
	BYTE    m_datatype[64];
	BYTE    m_channum;
	DWORD   m_waittime;
	DWORD   m_bufnum;
}SERVER_VIDEOINFO, *PSERVER_VIDEOINFO;


enum{NORMAL=50,DIALING,SMALLPIC};

CPLAYER_API BOOL  __stdcall  MP4_ServerStart(PSERVER_VIDEOINFO videoinfo);
CPLAYER_API BOOL  __stdcall  MP4_ServerStop();
CPLAYER_API BOOL  __stdcall  MP4_ServerGetState(WORD * clientnum);
CPLAYER_API BOOL  __stdcall  MP4_ServerCommandToClient(char cCommand,char nChannel);
CPLAYER_API void  __stdcall  MP4_ServerSetMessage(UINT nMessage,HWND hWnd);

CPLAYER_API void  __stdcall  MP4_ServerCheckIP(int(CALLBACK *CheckIP)(DWORD nChannel,char* nIP));
CPLAYER_API void  __stdcall  MP4_ServerCheckPassword(int(CALLBACK *CheckPassword)(char *username,WORD namelen,char *password,WORD passlen));
CPLAYER_API void  __stdcall  MP4_ServerWriteData(DWORD nChannel,UCHAR *pPacketBuffer,DWORD nPacketSize,int frameType,int breakable);

CPLAYER_API void  __stdcall  MP4_ServerSetStart(void(CALLBACK *StartCap)(int nChannel));
CPLAYER_API void  __stdcall  MP4_ServerSetStop(void(CALLBACK *StopCap)(int nChannel));
CPLAYER_API void  __stdcall  MP4_ServerReadLastMessage(char *m_sIP,char *m_sCommand,WORD *m_wLen);
CPLAYER_API BOOL  __stdcall  MP4_ServerStringToClient(LPCTSTR	m_lAddrIP,char *m_sCommand,WORD m_wLen);
CPLAYER_API void  __stdcall  MP4_ServerResetChannel(DWORD nChannel);
CPLAYER_API BOOL  __stdcall  MP4_ServerSetNetPort(WORD dServerPort,WORD dClientPort);

CPLAYER_API BOOL  __stdcall  MP4_ServerSetTTL(unsigned char cTTLVal);
CPLAYER_API BOOL  __stdcall  MP4_ServerSetBufNum(DWORD nChannel,WORD dBufNum);


CPLAYER_API void  __stdcall  MP4_ServerSetIBPMode(void(CALLBACK *SetIBP)(int nChannel,int framerat));
CPLAYER_API BOOL  __stdcall  MP4_ServerSetWait(DWORD dEachWaitTime,DWORD dTrynum);
CPLAYER_API BOOL  __stdcall  MP4_ServerStringToClient_other(char nChannel,char *m_sCommand,WORD m_wLen);

CPLAYER_API BOOL  __stdcall  MP4_ServerChangeChanType(char nChannel,char cType);
CPLAYER_API BOOL  __stdcall  MP4_ServerChanUser(DWORD nChannel,WORD * clientnum);

CPLAYER_API void  __stdcall  MP4_ServerSetCapIFrame(void(CALLBACK *MakeIFrame)(int port));
CPLAYER_API DWORD __stdcall  MP4_ServerGetSdkVersion();

//new
CPLAYER_API BOOL  __stdcall  MP4_ServerCastGroup(BOOL bSet,DWORD dChannel,char *sIP,WORD wPort);

CPLAYER_API void  __stdcall  MP4_ServerWriteDataEx(DWORD nChannel,UCHAR *pPacketBuffer,DWORD nPacketSize,int frameType,int breakable,int nVideoFormat);
CPLAYER_API BOOL  __stdcall  MP4_ServerMaxUser(DWORD dwChannel,int nMaxNum);


int CALLBACK checkpassword(char *username,WORD namelen,char *password,WORD passlen);
int CALLBACK CheckIP(DWORD nChannel,char* nIP);
void CALLBACK StartCap(int port);
void CALLBACK StopCap(int port);

