// ProVisionDlg.h : header file
//

#if !defined(AFX_ProVisionDlg_H__0FCEB53F_35E1_40A3_8F98_E993258EA09B__INCLUDED_)
#define AFX_ProVisionDlg_H__0FCEB53F_35E1_40A3_8F98_E993258EA09B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CProVisionDlg dialog


#include "VideoWin.h"

class CProVisionDlg : public CDialog
{
// Construction
public:
	int TypeToFrames(FrameType_t frameType);
	void SetupRegion(int iDecNum,int iArea);
	BOOL m_bSwitchMetrix;
	void StopDrawFun(DWORD nport);
	VideoStandard_t chstandard[MAX_CHANNELS];
	CVideoWin m_VideoWin;
	BOOL m_bMoving[MAX_DSPS_SUPPORT];
	int OnDataReady(UINT wpara, INT lparam);
	int OnUpdateCounters(UINT, INT);
	void LogMessage(const unsigned char *buf, void *context);
	BOOLEAN m_bDspPreset[MAX_DSPS_SUPPORT];
	BOOL baftermotion[MAX_CHANNELS];
	UINT ualreadywriteframes[MAX_CHANNELS];
	CBrush m_brush1;
	CBrush m_brush2;
	BOOLEAN m_bLog;
	UINT m_MatrixSwitch;
//	CVideoWin m_VideoWin;


	CProVisionDlg(CWnd* pParent = NULL);	// standard constructor
	void StartVideoPreview();
	void StopVideoPreview();

// Dialog Data
	//{{AFX_DATA(CProVisionDlg)
	enum { IDD = IDD_PROVISION_DIALOG };
	CEdit	m_Logwin;
	int		m_brightness;
	int		m_contrast;
	int		m_hue;
	int		m_saturation;
	UINT	m_iframes;
	UINT	m_pbframes;
	UINT	m_lostframes;
	UINT	m_audioframes;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CProVisionDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CProVisionDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnStart();
	afx_msg void OnClose();
	afx_msg void OnStop();
	afx_msg void OnPreview();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnMove(int x, int y);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnSettings();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnCapimage();
	afx_msg void OnAudioPreview();
	afx_msg void OnVideoPreview();
	afx_msg void OnCapiframe();
	afx_msg void OnButton7();
	afx_msg void OnSubstop();
	afx_msg void OnStartImageCap();
	afx_msg void OnStopImageCap();
	afx_msg void OnButton8();
	afx_msg void OnButton9();
	afx_msg void OnButton10();
	afx_msg void OnButton11();
	afx_msg void OnSerial();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ProVisionDlg_H__0FCEB53F_35E1_40A3_8F98_E993258EA09B__INCLUDED_)
