// VODCntT_TDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VODCntT_T.h"
#include "VODCntT_TDlg.h"

#include <winsock2.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVODCntT_TDlg dialog

CVODCntT_TDlg::CVODCntT_TDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CVODCntT_TDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CVODCntT_TDlg)
	m_wPort = 5678;
	m_nVolume = 0;
	m_bSound = FALSE;
	m_nPos = 0;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	m_dwSessionID = 0;
	m_pFileList = NULL;
	m_nTimer = 0;
	m_bSeeking = false;
}

void CVODCntT_TDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CVODCntT_TDlg)
//	DDX_Control(pDX, IDC_STATIC_SH, m_show);
	DDX_Control(pDX, IDC_SLIDER_SOUND, m_sliderVolume);
	DDX_Control(pDX, IDC_BUTTON_SEL, m_sel);
	DDX_Control(pDX, IDC_BUTTON_STOP, m_stop);
	DDX_Control(pDX, IDC_BUTTON_PLAY, m_play);
	DDX_Control(pDX, IDC_BUTTON_PAUSE, m_pause);
	DDX_Control(pDX, IDC_SLIDER1, m_slider);
	DDX_Control(pDX, IDC_IPADDRESS_VOD, m_ipCtrl);
	DDX_Control(pDX, IDC_LIST_FILE, m_lstCtrl);
	DDX_Text(pDX, IDC_EDIT_VOD, m_wPort);
	DDX_Slider(pDX, IDC_SLIDER_SOUND, m_nVolume);
	DDX_Check(pDX, IDC_CHECK_SOUND, m_bSound);
	DDX_Slider(pDX, IDC_SLIDER1, m_nPos);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CVODCntT_TDlg, CDialog)
	//{{AFX_MSG_MAP(CVODCntT_TDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON_PLAY, OnButtonPlay)
	ON_WM_CLOSE()
	ON_BN_CLICKED(IDC_BUTTON_FILE_LIST, OnButtonFileList)
	ON_BN_CLICKED(IDC_BUTTON_PAUSE, OnButtonPause)
	ON_BN_CLICKED(IDC_BUTTON_STOP, OnButtonStop)
	ON_WM_TIMER()
	ON_BN_CLICKED(IDC_BUTTON_SEL, OnButtonSel)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER_SOUND, OnReleasedcaptureSliderSound)
	ON_BN_CLICKED(IDC_CHECK_SOUND, OnCheckSound)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER1, OnReleasedcaptureSlider1)
	ON_WM_HSCROLL()
	ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
	ON_BN_CLICKED(IDC_SEL, OnSel)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVODCntT_TDlg message handlers

BOOL CVODCntT_TDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	m_ipCtrl.SetAddress(192,0,0,40);

	// vod client module startup
	// create a seesion and allocate resource.
	SESSION_INFO info = {0};
	info.wPort = 5678;
	info.hWnd = GetDlgItem(IDC_STATIC_SHOW)->m_hWnd;

	nSessionId = VODClientStartup(&info);

	//UI settings
	m_play.EnableWindow(FALSE);
	m_pause.EnableWindow(FALSE);
	m_stop.EnableWindow(FALSE);

	m_sliderVolume.SetRange(0,0XFFFF);


	SESSION_INFO info2 = {0};
	info2.wPort = 5678;
	info2.hWnd = GetDlgItem(IDC_STATIC_SHOW2)->m_hWnd;
	nSessionIdId = VODClientStartup(&info2);



	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CVODCntT_TDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CVODCntT_TDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CVODCntT_TDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CVODCntT_TDlg::OnClose() 
{
	// do command teardown and free session resource
	// vod client module clean.
	VODClientCleanup(nSessionId);

	EndDialog(IDOK);
}

// get vod server's net config
void CVODCntT_TDlg::GetIp()
{
	UpdateData();

	// get ip addresss . port num stored in m_wPort
	ULONG uIp;
	m_ipCtrl.GetAddress(uIp);

	in_addr in;
	in.s_addr = ::ntohl(uIp);
	char * pIp = ::inet_ntoa(in);

	m_ip = pIp;
}

// get vod server's file list
void CVODCntT_TDlg::OnButtonFileList() 
{
	// get network config
	GetIp();

	void * pList = 0;
	// get file list from vod server
	VODClientGetFileList((LPTSTR)(LPCTSTR)m_ip,m_wPort,(void**)&pList);

	// add the file list to local ListBox
	m_pFileList = (VOD_FILE_LIST*) pList;
	if ( m_pFileList )
	{
		for ( int i= 0; i< m_pFileList->nFileTotals; i++)
		{
			m_lstCtrl.AddString(m_pFileList->item[i].szFileName);
		}
	}

	VODClientFreeFileList(&pList);
}

// play command 
void CVODCntT_TDlg::OnButtonPlay() 
{
	// UI settings
	m_play.EnableWindow(FALSE);
	m_pause.EnableWindow();
	m_stop.EnableWindow();
	
	m_bSound = TRUE;
	CButton * p = (CButton*)GetDlgItem(IDC_CHECK_SOUND);
	p->SetCheck(m_bSound);
	
	// do play command 
	VODClientPlay(nSessionId);
	// create a timer for player informations
	if ( m_nTimer == 0 )
	{
		m_nTimer = SetTimer(1000,500,NULL);
		// enable sound
		BOOL bRet = VODClientSound(nSessionId,m_bSound);
		m_slider.SetPos(0);
	}
}

void CVODCntT_TDlg::OnButtonPause() 
{
	// UI settings
	m_pause.EnableWindow(FALSE);
	m_play.EnableWindow();
	m_stop.EnableWindow();
	// do pause command
	VODClientPause(nSessionId);	
}

void CVODCntT_TDlg::OnButtonStop() 
{
	// do stop command
	VODClientStop(nSessionId);	
	//disable sound
	VODClientSound(nSessionId,FALSE);
	// do teardown command
	VODClientTeardown(nSessionId);

	// UI settings
	m_stop.EnableWindow(FALSE);
	m_play.EnableWindow(FALSE);
	m_pause.EnableWindow(FALSE);
	m_sel.EnableWindow();
	
	// kill timer
	KillTimer(m_nTimer);
	m_nTimer = 0;

	// clean player informations
	CWnd * pWnd = GetDlgItem(IDC_STATIC_INFO);
	if ( pWnd )
		pWnd->SetWindowText("");

	m_bSound = FALSE;
	CButton * p = (CButton*)GetDlgItem(IDC_CHECK_SOUND);
	p->SetCheck(m_bSound);

	m_slider.SetPos(0);
}

// timer for refresh player informations
void CVODCntT_TDlg::OnTimer(UINT nIDEvent) 
{
	if ( m_nTimer == nIDEvent )
	{
		// get some useful informations
		DWORD dwCurFrame = VODClientGetCurFrame(nSessionId);
		DWORD dwAllFrames = VODClientGetAllFrames(nSessionId);
		DWORD dwCurTime = VODClientGetCurTime(nSessionId);
		DWORD dwAllTime = VODClientGetAllTime(nSessionId);
		DWORD dwFrameRate = VODClientGetFrameRate(nSessionId);
		DWORD dwCurPos = VODClientGetCurPos(nSessionId);

		// check stop
		if ( dwCurTime >= dwAllTime )
		{
			OnButtonStop();
			return;
		}
		// check seeking
		if ( !m_bSeeking )
			m_slider.SetPos(dwCurPos);

		// set tips
		CTime timeCur(dwCurTime);
		CString sCurTime = timeCur.FormatGmt("%H:%M:%S");
		CTime timeAll(dwAllTime);
		CString sAllTime = timeAll.FormatGmt("%H:%M:%S");

		CString s;
		s.Format("%u/%u  %s/%s Rate:%d",dwCurFrame,dwAllFrames,sCurTime,sAllTime,dwFrameRate);

		CWnd * pWnd = GetDlgItem(IDC_STATIC_INFO);
		if ( pWnd )
			pWnd->SetWindowText(s);
	}

	CDialog::OnTimer(nIDEvent);
}

// select a file for file list. and request vod service.
void CVODCntT_TDlg::OnButtonSel() 
{
	int nSel = m_lstCtrl.GetCurSel();
	if ( nSel != LB_ERR )
	{
		// get select file
		CString file;
		m_lstCtrl.GetText(nSel,file);

		// request vod service. do setup command .
		BOOL bRet = VODClientSelectFile(nSessionId,(LPSTR)(LPCTSTR)m_ip,m_wPort,(LPSTR)(LPCTSTR)file);

		if ( bRet )
		{
			DWORD dwSize = VODClientGetFileSize(nSessionId);
		
			m_slider.SetRange(0,dwSize,TRUE);
			m_slider.SetPos(0);
			// UI settings
			m_play.EnableWindow();
			m_pause.EnableWindow(FALSE);
			m_stop.EnableWindow(FALSE);
			m_sel.EnableWindow(FALSE);
		}
	}		
}

/// set volume
void CVODCntT_TDlg::OnReleasedcaptureSliderSound(NMHDR* pNMHDR, LRESULT* pResult) 
{
	UpdateData();
	
	VODClientSetVolume(nSessionId,m_nVolume);

	*pResult = 0;
}

// enable/disable sound
void CVODCntT_TDlg::OnCheckSound() 
{
	UpdateData();
	
	VODClientSound(nSessionId,m_bSound);
}

// seek
void CVODCntT_TDlg::OnReleasedcaptureSlider1(NMHDR* pNMHDR, LRESULT* pResult) 
{
	UpdateData();

	// do seek command.
	VODClientSeek(nSessionId,m_nPos);

	m_bSeeking = false;

	*pResult = 0;
}

void CVODCntT_TDlg::OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
	if ( pScrollBar->m_hWnd == m_slider.m_hWnd )
	{
		m_bSeeking = true;
	}

	CDialog::OnHScroll(nSBCode, nPos, pScrollBar);
}

void CVODCntT_TDlg::OnOK()
{
}
void CVODCntT_TDlg::OnCancel()
{
}

void CVODCntT_TDlg::OnButton2() 
{
	// TODO: Add your control notification handler code here
	VODClientPlay(nSessionIdId);
}

void CVODCntT_TDlg::OnSel() 
{
	// TODO: Add your control notification handler code here
	int nSel = m_lstCtrl.GetCurSel();
	if ( nSel != LB_ERR )
	{
		// get select file
		CString file;
		m_lstCtrl.GetText(nSel,file);
		
		// request vod service. do setup command .
		BOOL bRet = VODClientSelectFile(nSessionIdId,(LPSTR)(LPCTSTR)m_ip,m_wPort,(LPSTR)(LPCTSTR)file);
		
	
	}	
}
